> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/product-model-setup/product-structures.md).

# Product structures

Product structures are the blueprints for products and variants in the system. A product structure defines tabs, sections and attributes that are available using that product structure.

You can add or update product structures through [Product model setup](/pim3/reference/product-model-setup.md) > [Product structures](/pim3/reference/product-model-setup/product-structures.md).

{% hint style="info" %}
**Guide** See a short walkthrough of how product modelling is used in Struct PIM [here](/pim3/tutorials/helpful-guides/how-to-use-product-models.md).
{% endhint %}

### Add a new product structure

1. Click "Create new product structure" on Product structures page
2. Set Alias and Label along with additional [details](/pim3/reference/product-model-setup/product-structures/product-structure-details.md)
3. Click "Display settings"
4. Set Product display name and pattern
5. Click "Create product structure"

{% hint style="info" %}
To create a new Product Structure a single attribute must be added to select in "Display Settings". See [Product structure details](/pim3/reference/product-model-setup/product-structures/product-structure-details.md).
{% endhint %}

### Copy product structure

### Edit product structure

1. Click "Edit"-icon on Product structures page
2. Modify the product structure [details](/pim3/reference/product-model-setup/product-structures/product-structure-details.md)
3. Click "Save changes"

### Delete product structure

1. Click "Delete"-icon
2. Click "Ok" to confirm

{% hint style="info" %}
It is not possible to delete a product structure that has products using the structure.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/product-model-setup/product-structures.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
